<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="107dp"
    android:layout_marginStart="16dp"
    android:layout_marginEnd="16dp"
    android:background="@drawable/bg_home_recent_vgame"
    android:descendantFocusability="blocksDescendants"
    android:paddingTop="16dp"
    android:paddingBottom="16dp">

    <ImageView
        android:id="@+id/hintIv"
        android:layout_width="14dp"
        android:layout_height="14dp"
        android:layout_marginStart="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/ic_vgame_recent_hint" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:includeFontPadding="false"
        android:text="最近在玩"
        android:textColor="@color/text_title"
        android:textSize="@dimen/primary_text_size"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/hintIv"
        app:layout_constraintStart_toEndOf="@id/hintIv"
        app:layout_constraintTop_toTopOf="@id/hintIv" />

    <TextView
        android:id="@+id/moreTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:text="更多"
        android:textColor="@color/theme_font"
        android:textSize="@dimen/secondary_size"
        app:drawableEndCompat="@drawable/ic_home_head_arrow"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.cardview.widget.CardView
        android:id="@+id/recyclerViewContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="-2dp"
        android:layout_marginEnd="10dp"
        android:descendantFocusability="blocksDescendants"
        android:scrollX="-2dp"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="4dp"
        app:cardElevation="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/vspaceIv"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:clipToPadding="false"
            android:paddingStart="16dp"
            android:paddingEnd="8dp" />

    </androidx.cardview.widget.CardView>

    <View
        android:id="@+id/divider"
        android:layout_width="1dp"
        android:layout_height="16dp"
        android:layout_marginEnd="11.5dp"
        android:background="@color/divider"
        app:layout_constraintBottom_toBottomOf="@id/recyclerViewContainer"
        app:layout_constraintEnd_toStartOf="@id/vspaceIv"
        app:layout_constraintTop_toTopOf="@id/recyclerViewContainer" />

    <ImageView
        android:id="@+id/vspaceIv"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginEnd="16dp"
        android:src="@drawable/ic_vspace_logo"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>